# Class ServletRunner.JasperJSPServletDescriptor

java.lang.Object
com.meterware.servletunit.ServletRunner.JasperJSPServletDescriptor

All Implemented Interfaces:
  `JSPServletDescriptor`

Enclosing class:
  `ServletRunner`

public static class ServletRunner.JasperJSPServletDescriptor extends Object implements JSPServletDescriptor

Author:
  Russell Gold

## Constructor Summary

Constructors
Constructor
Description
`JasperJSPServletDescriptor()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
Returns the class name of the JSP servlet.
`Hashtable`
`getInitializationParameters(String classPath, String workingDirectory)`
Returns initialization parameters for the JSP servlet, given the specified classpath and working directory.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JasperJSPServletDescriptor

public JasperJSPServletDescriptor()

## Method Details

### getClassName

public String getClassName()
Description copied from interface: `JSPServletDescriptor`
Returns the class name of the JSP servlet.

Specified by:
  `getClassName` in interface `JSPServletDescriptor`

### getInitializationParameters

public Hashtable getInitializationParameters(String classPath, String workingDirectory)
Description copied from interface: `JSPServletDescriptor`
Returns initialization parameters for the JSP servlet, given the specified classpath and working directory.

Specified by:
  `getInitializationParameters` in interface `JSPServletDescriptor`